Bug 25520 - pciutils upgrades VIA82C691 [Apollo Pro] to VT82C693A/694x [Apollo PRO133x]
pciutils upgrades VIA82C691 [Apollo Pro] to VT82C693A/694x [Apollo PRO133x]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-01 16:20 EST by jens.koerber
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-25 21:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jens.koerber 2001-02-01 16:20:39 EST
that would be nice ... hmmm, maybe you could donate me one ?!?!?! ;-)

(bug in pciutils-pci.ids-update.patch)

# lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x]
(rev 06)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo
MVP3/Pro133x AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C596 ISA [Mobile South] (rev
11)
00:07.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 06)
00:07.2 USB Controller: VIA Technologies, Inc. UHCI USB (rev 05)
00:07.3 Host bridge: VIA Technologies, Inc. VT82C596 Power Management (rev
20)
00:0c.0 Multimedia audio controller: Yamaha Corporation YMF-740C [DS-1L
Audio Controller] (rev 03)
00:0d.0 Network controller: AVM Audiovisuelles MKTG & Computer System GmbH
A1 ISDN [Fritz] (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 RF
     

# cat /proc/pci
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: VIA Technologies VT 82C691 Apollo Pro (rev 6).
      Medium devsel.  Fast back-to-back capable.  Master Capable.  No
bursts.
      Prefetchable 32 bit memory at 0xe0000000 [0xe0000008].
  Bus  0, device   1, function  0:
    PCI bridge: VIA Technologies VT 82C598 Apollo MVP3 AGP (rev 0).
      Medium devsel.  Master Capable.  No bursts.  Min Gnt=12.
  Bus  0, device   7, function  0:
    ISA bridge: VIA Technologies VT 82C596 Apollo Mobile (rev 17).
      Medium devsel.  Master Capable.  No bursts.
  Bus  0, device   7, function  1:
    IDE interface: VIA Technologies VT 82C586 Apollo IDE (rev 6).
      Medium devsel.  Fast back-to-back capable.  Master Capable. 
Latency=64.
      I/O at 0xe000 [0xe001].
  Bus  0, device   7, function  2:
    USB Controller: VIA Technologies VT 82C586 Apollo USB (rev 5).
      Medium devsel.  IRQ 10.  Master Capable.  Latency=64.
      I/O at 0xe400 [0xe401].  
  Bus  0, device   7, function  3:
    Host bridge: VIA Technologies Unknown device (rev 32).
      Vendor id=1106. Device id=3051.
      Medium devsel.  Fast back-to-back capable.
  Bus  0, device  12, function  0:
    Multimedia audio controller: Unknown vendor Unknown device (rev 3).
      Vendor id=1073. Device id=c.
      Medium devsel.  IRQ 5.  Master Capable.  Latency=64.  Min Gnt=5.Max
Lat=25.
      Non-prefetchable 32 bit memory at 0xea000000 [0xea000000].
  Bus  0, device  13, function  0:
    Network controller: AVM A1 (Fritz) (rev 2).
      Medium devsel.  Fast back-to-back capable.  IRQ 11.
      Non-prefetchable 32 bit memory at 0xea008000 [0xea008000].
      I/O at 0xe800 [0xe801].
  Bus  1, device   0, function  0:
    VGA compatible controller: ATI Unknown device (rev 0).
      Vendor id=1002. Device id=5246.
      Medium devsel.  Fast back-to-back capable.  IRQ 11.  Master Capable. 
Latency=64.  Min Gnt=8.
      Prefetchable 32 bit memory at 0xe4000000 [0xe4000008].
      I/O at 0xd000 [0xd001].
      Non-prefetchable 32 bit memory at 0xe9000000 [0xe9000000].
Comment 1 Bill Nottingham 2001-02-01 16:27:22 EST
Hm, it was taken from drivers/pci/pci.ids in the kernel source
I'm assuming (from reading include/linux/pci_ids.h), that we
should leave 0691 mapped where it is, and map 0693 to the newer
chipset.
Fixed in pciutils-2.1.8-11; assigning to kernel so they can fix
the master.
Comment 2 Michael K. Johnson 2001-02-08 13:19:14 EST
Arjan, could you please send this upstream?

Note You need to log in before you can comment on or make changes to this bug.